""" NSO (Network Service Orchestrator) CLI implementation """

__copyright__ = "# Copyright (c) 2017 by cisco Systems, Inc. All rights reserved."
__author__ = "Dave Wapstra <dwapstra@cisco.com>"

from unicon.plugins.confd import ConfdConnection, ConfdServiceList, ConfdConnectionProvider
from unicon.plugins.confd.statemachine import ConfdStateMachine
from unicon.plugins.confd.settings import ConfdSettings


class NsoConnection(ConfdConnection):
    os = 'nso'
    series = None
    chassis_type = 'single_rp'
    state_machine_class = ConfdStateMachine
    connection_provider_class = ConfdConnectionProvider
    subcommand_list = ConfdServiceList
    settings = ConfdSettings()

